---
id: diddocumentdto
title: "DIDDocumentDto"
description: ""
sidebar_label: "DIDDocumentDto"
hide_title: true
hide_table_of_contents: true
schema: true
sample: {"@context":"string","id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","alsoKnownAs":["https://example.com/profile"],"controller":"string","verificationMethod":[{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"kty":"RSA"}}],"service":[{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"LinkedDomains","serviceEndpoint":"https://example.com"}],"publicKey":[{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"kty":"RSA"}}],"authentication":["string",{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"alg":"RS256","crv":"P-256","e":"AQAB","ext":false,"key_ops":["sign","verify"],"kid":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","kty":"RSA","n":"sample_modulus","use":"sig","x":"sample_x_coordinate","y":"sample_y_coordinate"}}],"assertionMethod":["string",{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"alg":"RS256","crv":"P-256","e":"AQAB","ext":false,"key_ops":["sign","verify"],"kid":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","kty":"RSA","n":"sample_modulus","use":"sig","x":"sample_x_coordinate","y":"sample_y_coordinate"}}],"keyAgreement":["string",{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"alg":"RS256","crv":"P-256","e":"AQAB","ext":false,"key_ops":["sign","verify"],"kid":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","kty":"RSA","n":"sample_modulus","use":"sig","x":"sample_x_coordinate","y":"sample_y_coordinate"}}],"capabilityInvocation":["string",{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"alg":"RS256","crv":"P-256","e":"AQAB","ext":false,"key_ops":["sign","verify"],"kid":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","kty":"RSA","n":"sample_modulus","use":"sig","x":"sample_x_coordinate","y":"sample_y_coordinate"}}],"capabilityDelegation":["string",{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"alg":"RS256","crv":"P-256","e":"AQAB","ext":false,"key_ops":["sign","verify"],"kid":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","kty":"RSA","n":"sample_modulus","use":"sig","x":"sample_x_coordinate","y":"sample_y_coordinate"}}]}
custom_edit_url: null
---

import Schema from "@theme/Schema";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"DIDDocumentDto"}
>
</Heading>





<Schema
  schema={{"type":"object","properties":{"@context":{"example":"https://www.w3.org/ns/did/v1","oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"alsoKnownAs":{"example":["https://example.com/profile"],"type":"array","items":{"type":"string"}},"controller":{"example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]},"verificationMethod":{"example":[{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"kty":"RSA"}}],"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}},"service":{"example":[{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"LinkedDomains","serviceEndpoint":"https://example.com"}],"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"LinkedDomains"},"serviceEndpoint":{"example":"https://example.com","oneOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}]}},"required":["id","type","serviceEndpoint"],"title":"ServiceDto"}},"publicKey":{"example":[{"id":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","type":"Ed25519VerificationKey2020","controller":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d","publicKeyJwk":{"kty":"RSA"}}],"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}},"authentication":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}]}},"assertionMethod":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}]}},"keyAgreement":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}]}},"capabilityInvocation":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}]}},"capabilityDelegation":{"type":"array","items":{"oneOf":[{"type":"string"},{"type":"object","properties":{"id":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"type":{"type":"string","example":"Ed25519VerificationKey2020"},"controller":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"publicKeyJwk":{"type":"object","properties":{"alg":{"type":"string","example":"RS256"},"crv":{"type":"string","example":"P-256"},"e":{"type":"string","example":"AQAB"},"ext":{"type":"boolean","example":false},"key_ops":{"example":["sign","verify"],"type":"array","items":{"type":"string"}},"kid":{"type":"string","example":"bdfd4c8e-3a44-4b9f-bc3e-1a8e26e3e99d"},"kty":{"type":"string","example":"RSA"},"n":{"type":"string","example":"sample_modulus"},"use":{"type":"string","example":"sig"},"x":{"type":"string","example":"sample_x_coordinate"},"y":{"type":"string","example":"sample_y_coordinate"}},"required":["kty"],"title":"JsonWebKeyDto"}},"required":["id","type","controller"],"title":"VerificationMethodDto"}]}}},"required":["id"],"title":"DIDDocumentDto"}}
  schemaType={"response"}
>
  
</Schema>
            